%define major 0
%define api 1.13
%define libname %mklibname cppunit %{api}_%{major}
%define develname %mklibname cppunit -d
%define testrunnermajor 1
%define testrunnerlibname %mklibname qttestrunner %{testrunnermajor}

Summary:	C++ port of JUnit Testing Framework
Name:		cppunit
Version:	1.13.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.freedesktop.org/wiki/Software/cppunit
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.gz
Patch:		cppunit-1.11.4-missing-include.patch
Patch1:		cppunit-1.12.1-qt3-gcc43.patch
BuildRequires:	doxygen

%description
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n %{libname}
Summary:	C++ port of JUnit Testing Framework
Group:		System/Libraries

%description -n	%{libname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%if ! %with qt3
%package -n %{testrunnerlibname}
Summary:	QT Testrunner for %{name}
Group:		System/Libraries

%description -n %{testrunnerlibname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.
%endif

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	%{mklibname cppunit 1.12_0 -d}

%description -n %{develname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%prep
%setup -q
%patch -p1

%build
%configure2_5x --disable-static \
    --enable-doxygen 

# <oden> somehow LIBADD_DL is ignored, is that an intentional change?
perl -pi -e "s|^LIBS =.*|LIBS = -lm -ldl|g" src/cppunit/Makefile

%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

#(tpg) do not duplicate docs
rm -rf  %{buildroot}%{_datadir}/doc/cppunit

# clean up
rm -rf %{buildroot}%{_datadir}/cppunit
%multiarch_binaries %{buildroot}%{_bindir}/cppunit-config

%files -n %{libname}
%{_libdir}/libcppunit-%{api}.so.%{major}*

%files -n %{develname}
%doc AUTHORS NEWS README THANKS ChangeLog
%{_bindir}/cppunit-config
%{multiarch_bindir}/cppunit-config
%{_bindir}/DllPlugInTester
%{_libdir}/*.so
%{_includedir}/cppunit
%{_datadir}/aclocal/cppunit.m4
%{_mandir}/man1/*
%{_libdir}/pkgconfig/cppunit.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.13.1-2.mga3
+ Revision: 348244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 luigiwalser <luigiwalser> 1.13.1-1.mga3
+ Revision: 300165
- 1.13.1

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1.13.0-1.mga3
+ Revision: 282329
- 1.13.0
- update URLs

* Thu Jan 26 2012 fwang <fwang> 1.12.1-9.mga2
+ Revision: 201749
- drop static build

* Wed Jan 12 2011 dmorgan <dmorgan> 1.12.1-8.mga1
+ Revision: 7623
- Do not build the qt3 gui
- imported package cppunit

